@import 'node_modules/normalize.css/normalize';


*,
*::before,
*::after {
    box-sizing: border-box;
}

html {
    height: 100%;
}

body {
    min-height: 100%;
    color: $white;
    background-color: $dark;
    font-family: $font-family-third;
    font-size: $font-size-base;
    line-height: $line-height-base;
}

// Typography
//

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
    margin: 0;
    padding: 0;
    font-weight: 700;
    line-height: 1.2;
    font-family: $font-family-primary;
}

h1, .h1 {
    font-weight: 700;
    text-transform: uppercase;
    font-size: size-rel(52px);
    line-height: size-rel(67px);
    margin-bottom: size-rel(40px);

    @include media-breakpoint-up(md) {
        font-size: size-rel(72px);
        line-height: size-rel(92px);
    }

    @include media-breakpoint-up(xl) {
        font-size: size-rel(96px);
        line-height: size-rel(123px);
    }
}

h2, .h2 {
    margin-bottom: 1.5rem;
    font-size: size-rel(32px);
}

h3, .h3 {
    margin-bottom: 1.25rem;
    font-size: size-rel(24px);
}

h4, .h4 {
    margin-bottom: 1.25rem;
    font-size: size-rel(20px);
}

h5, .h5 {
    margin-bottom: 1.25rem;
    font-size: size-rel(16px);
}

h6, .h6 {
    margin-bottom: 1.25rem;
    font-size: size-rel(14px);
}

a {
    color: $pink;
    text-decoration: none;

    &:hover {
        color: $pink;
        text-decoration: underline;
    }
}

p {
    margin-top: 0;
    margin-bottom: size-rel(26px);
}

// Lists

ol,
ul {
    padding-left: 2rem;
}

ol,
ul,
dl {
    margin-top: 0;
    margin-bottom: size-rel(26px);
}

ol {
    padding: 0;
    list-style: none;
    counter-reset:li;

    li {
        position: relative;
        padding-left: size-rel(36px);

        &:before {
            top: 2px;
            left: 0;
            position: absolute;
            content: '0' counter(li);
            counter-increment:li;
            color: $pink;
            font-family: $font-family-primary;
            font-weight: 700;
            font-size: size-rel(16px);
        }

        &:not(:last-child) {
            margin-bottom: size-rel(16px);
        }
    }
}


